- Main Page
- Modules
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# cPtrPassingMPICommunications Class Reference
[Parallel simulation support]

MPI communications layer, to be used with 64-bit shared memory superclusters like SGI Altix. More...

`#include <cptrpassingmpicomm.h>`

Inheritance diagram for cPtrPassingMPICommunications:

List of all members.

## Public Member Functions
| cPtrPassingMPICommunications ()
virtual cMPICommBuffer * | doCreateCommBuffer ()

## Detailed Description

MPI communications layer, to be used with 64-bit shared memory superclusters like SGI Altix.

## Constructor & Destructor Documentation

cPtrPassingMPICommunications::cPtrPassingMPICommunications | ( |  | ) |

| Constructor.

## Member Function Documentation

virtual cMPICommBuffer* cPtrPassingMPICommunications::doCreateCommBuffer | ( |  | ) | `[virtual]`

| Creates an empty buffer of type cPtrPassingMPICommBuffer. Reimplemented from cMPICommunications.

The documentation for this class was generated from the following file:

- cptrpassingmpicomm.h